package com.huimv.env.input.config;

import com.huimv.env.common.utils.Const;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Configuration
public class TopicRabbitMQConfig {


    // 水表
    @Bean
    public Queue shuibiaoDataQueue() {
        return new Queue(Const.QUEUE_ENV_SHUI_HUIMV_DATA);
    }
    @Bean
    TopicExchange shuibiaoDatExchange() {
        return new TopicExchange(Const.EXCHANGE_ENV_SHUI_HUIMV_DATA);
    }
    @Bean
    Binding bindingshuibiaoDatExchangeMessage() {
        return BindingBuilder.bind(shuibiaoDataQueue()).to(shuibiaoDatExchange()).with(Const.ROUTING_KEY_ENV_SHUI_HUIMV_DATA);
    }


}
